Package com.independentsoft.office.word.drawing

# Class VerticalPositioning

java.lang.Object
com.independentsoft.office.word.drawing.VerticalPositioning

public class VerticalPositioning extends Object
The Class VerticalPositioning.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `VerticalPositioning()`
  Instantiates a new vertical positioning.
  `VerticalPositioning​(RelativeVerticalAlignment alignment)`
  Instantiates a new vertical positioning.
  `VerticalPositioning​(VerticalRelativePositioning relativePositioning)`
  Instantiates a new vertical positioning.
  `VerticalPositioning​(VerticalRelativePositioning relativePositioning, long absolutePositionOffset)`
  Instantiates a new vertical positioning.
  `VerticalPositioning​(VerticalRelativePositioning relativePositioning, Unit absolutePositionOffset)`
  Instantiates a new vertical positioning.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `VerticalPositioning`
  `clone()`
  `Unit`
  `getAbsolutePositionOffset()`
  Gets the absolute position offset.
  `RelativeVerticalAlignment`
  `getAlignment()`
  Gets the alignment.
  `VerticalRelativePositioning`
  `getRelativePositioning()`
  Gets the relative positioning.
  `void`
  `setAbsolutePositionOffset​(Unit absolutePositionOffset)`
  Sets the absolute position offset.
  `void`
  `setAlignment​(RelativeVerticalAlignment alignment)`
  Sets the alignment.
  `void`
  `setRelativePositioning​(VerticalRelativePositioning relativePositioning)`
  Sets the relative positioning.
  `String`
  `toString()`

  ### Methods inherited from class java.lang.Object

  `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### VerticalPositioning

    public VerticalPositioning()
    Instantiates a new vertical positioning.

  - ### VerticalPositioning

    public VerticalPositioning​(RelativeVerticalAlignment alignment)
    Instantiates a new vertical positioning.
    Parameters:
      `alignment` - the alignment

  - ### VerticalPositioning

    public VerticalPositioning​(VerticalRelativePositioning relativePositioning)
    Instantiates a new vertical positioning.
    Parameters:
      `relativePositioning` - the relative positioning

  - ### VerticalPositioning

    public VerticalPositioning​(VerticalRelativePositioning relativePositioning, Unit absolutePositionOffset)
    Instantiates a new vertical positioning.
    Parameters:
      `relativePositioning` - the relative positioning
      `absolutePositionOffset` - the absolute position offset

  - ### VerticalPositioning

    public VerticalPositioning​(VerticalRelativePositioning relativePositioning, long absolutePositionOffset)
    Instantiates a new vertical positioning.
    Parameters:
      `relativePositioning` - the relative positioning
      `absolutePositionOffset` - the absolute position offset

- ## Method Details

  - ### clone

    public VerticalPositioning clone()
    Overrides:
      `clone` in class `Object`

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`

  - ### getRelativePositioning

    public VerticalRelativePositioning getRelativePositioning()
    Gets the relative positioning.
    Returns:
      the relative positioning

  - ### setRelativePositioning

    public void setRelativePositioning​(VerticalRelativePositioning relativePositioning)
    Sets the relative positioning.
    Parameters:
      `relativePositioning` - the new relative positioning

  - ### getAlignment

    public RelativeVerticalAlignment getAlignment()
    Gets the alignment.
    Returns:
      the alignment

  - ### setAlignment

    public void setAlignment​(RelativeVerticalAlignment alignment)
    Sets the alignment.
    Parameters:
      `alignment` - the new alignment

  - ### getAbsolutePositionOffset

    public Unit getAbsolutePositionOffset()
    Gets the absolute position offset.
    Returns:
      the absolute position offset

  - ### setAbsolutePositionOffset

    public void setAbsolutePositionOffset​(Unit absolutePositionOffset)
    Sets the absolute position offset.
    Parameters:
      `absolutePositionOffset` - the new absolute position offset